Skip to main content
PUT
/
project
/
v1
/
projects
/
{id}
Update a project
curl --request PUT \
  --url https://api-{region}.sesametime.com/project/v1/projects/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "parentProjectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "price": 123,
  "startDate": "2023-12-25",
  "endDate": "2023-12-25",
  "managerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "description": "<string>",
  "status": "active",
  "color": "<string>",
  "fixedCost": 123,
  "progress": 123,
  "totalMinutes": 123,
  "privacy": "public"
}
'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "parentProject": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "parentProject": null,
      "customer": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "customerName": "<string>",
        "firstName": "<string>",
        "lastName": "<string>",
        "email": "jsmith@example.com",
        "phone": "<string>",
        "description": "<string>",
        "createdAt": "2020-01-01T10:00:00+01:00",
        "updatedAt": "2020-01-01T10:00:00+01:00",
        "deletedAt": "2020-01-01T10:00:00+01:00"
      },
      "price": 123,
      "startDate": "2023-12-25",
      "endDate": "2023-12-25",
      "manager": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "firstName": "Lucas",
        "lastName": "García",
        "email": "jsmith@example.com",
        "workStatus": "online",
        "imageProfileURL": "https://sesame-v2-prod-companies.s3.eu-west-3.amazonaws.com/48351485-1659-413d-bf7f-3ca34fadb521/public-read/g892f1fb-55a3-4e32-9cc9-7c19faa70gaa.png",
        "code": 1,
        "pin": 1000,
        "phone": "+34 111 11 11 11",
        "company": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "notificationEmail": "jsmith@example.com",
          "language": "<string>",
          "createdAt": "2020-01-01T10:00:00+01:00",
          "updatedAt": "2020-01-01T10:00:00+01:00"
        },
        "gender": "female",
        "contractId": "<string>",
        "nid": "<string>",
        "identityNumberType": "dni",
        "secondaryIdentityNumberType": "dni",
        "secondaryNid": "<string>",
        "ssn": "<string>",
        "pricePerHour": 123,
        "accountNumber": "<string>",
        "dateOfBirth": "2023-12-25",
        "customFields": [
          {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "name": "<string>",
            "slug": "<string>",
            "type": "<string>",
            "value": "<string>",
            "createdAt": "2020-01-01T10:00:00+01:00",
            "updatedAt": "2020-01-01T10:00:00+01:00"
          }
        ],
        "createdAt": "2020-01-01T10:00:00+01:00",
        "updatedAt": "2020-01-01T10:00:00+01:00",
        "status": "active",
        "children": 2,
        "disability": 25,
        "address": "<string>",
        "postalCode": "<string>",
        "city": "<string>",
        "province": "<string>",
        "country": "ES",
        "nationality": "ES",
        "nationalities": [
          "ES",
          "FR"
        ],
        "personalMail": "jsmith@example.com",
        "maritalStatus": "<string>",
        "emergencyPhone": "<string>",
        "description": "<string>",
        "salaryRange": "<string>",
        "studyLevel": "<string>",
        "professionalCategoryCode": "<string>",
        "professionalCategoryDescription": "<string>",
        "bic": "<string>",
        "jobChargeId": "<string>",
        "jobChargeName": "<string>",
        "jobChargeDescription": "<string>",
        "jobChargeCompetencies": "<string>",
        "language": "es-ES",
        "workPhone": "+34 111 11 11 11",
        "mainRecruiter": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "firstName": "Lucas",
          "lastName": "García",
          "imageProfileURL": "https://sesame-v2-prod-companies.s3.eu-west-3.amazonaws.com/48351485-1659-413d-bf7f-3ca34fadb521/public-read/g892f1fb-55a3-4e32-9cc9-7c19faa70gaa.png",
          "email": "jsmith@example.com",
          "workStatus": "online",
          "workCheckTypeColor": "#FF0000",
          "workCheckTypeName": "Remote"
        },
        "nfc": "<string>",
        "contributionGroupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      },
      "description": "<string>",
      "status": "active"
    },
    "customer": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "customerName": "<string>",
      "firstName": "<string>",
      "lastName": "<string>",
      "email": "jsmith@example.com",
      "phone": "<string>",
      "description": "<string>",
      "createdAt": "2020-01-01T10:00:00+01:00",
      "updatedAt": "2020-01-01T10:00:00+01:00",
      "deletedAt": "2020-01-01T10:00:00+01:00"
    },
    "price": 123,
    "startDate": "2023-12-25",
    "endDate": "2023-12-25",
    "manager": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "firstName": "Lucas",
      "lastName": "García",
      "email": "jsmith@example.com",
      "workStatus": "online",
      "imageProfileURL": "https://sesame-v2-prod-companies.s3.eu-west-3.amazonaws.com/48351485-1659-413d-bf7f-3ca34fadb521/public-read/g892f1fb-55a3-4e32-9cc9-7c19faa70gaa.png",
      "code": 1,
      "pin": 1000,
      "phone": "+34 111 11 11 11",
      "company": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "notificationEmail": "jsmith@example.com",
        "language": "<string>",
        "createdAt": "2020-01-01T10:00:00+01:00",
        "updatedAt": "2020-01-01T10:00:00+01:00"
      },
      "gender": "female",
      "contractId": "<string>",
      "nid": "<string>",
      "identityNumberType": "dni",
      "secondaryIdentityNumberType": "dni",
      "secondaryNid": "<string>",
      "ssn": "<string>",
      "pricePerHour": 123,
      "accountNumber": "<string>",
      "dateOfBirth": "2023-12-25",
      "customFields": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "slug": "<string>",
          "type": "<string>",
          "value": "<string>",
          "createdAt": "2020-01-01T10:00:00+01:00",
          "updatedAt": "2020-01-01T10:00:00+01:00"
        }
      ],
      "createdAt": "2020-01-01T10:00:00+01:00",
      "updatedAt": "2020-01-01T10:00:00+01:00",
      "status": "active",
      "children": 2,
      "disability": 25,
      "address": "<string>",
      "postalCode": "<string>",
      "city": "<string>",
      "province": "<string>",
      "country": "ES",
      "nationality": "ES",
      "nationalities": [
        "ES",
        "FR"
      ],
      "personalMail": "jsmith@example.com",
      "maritalStatus": "<string>",
      "emergencyPhone": "<string>",
      "description": "<string>",
      "salaryRange": "<string>",
      "studyLevel": "<string>",
      "professionalCategoryCode": "<string>",
      "professionalCategoryDescription": "<string>",
      "bic": "<string>",
      "jobChargeId": "<string>",
      "jobChargeName": "<string>",
      "jobChargeDescription": "<string>",
      "jobChargeCompetencies": "<string>",
      "language": "es-ES",
      "workPhone": "+34 111 11 11 11",
      "mainRecruiter": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "firstName": "Lucas",
        "lastName": "García",
        "imageProfileURL": "https://sesame-v2-prod-companies.s3.eu-west-3.amazonaws.com/48351485-1659-413d-bf7f-3ca34fadb521/public-read/g892f1fb-55a3-4e32-9cc9-7c19faa70gaa.png",
        "email": "jsmith@example.com",
        "workStatus": "online",
        "workCheckTypeColor": "#FF0000",
        "workCheckTypeName": "Remote"
      },
      "nfc": "<string>",
      "contributionGroupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    },
    "description": "<string>",
    "status": "active",
    "color": "<string>",
    "fixedCost": 123,
    "progress": 123,
    "totalMinutes": 123,
    "privacy": "public"
  },
  "meta": {
    "currentPage": 1,
    "lastPage": 1,
    "total": 1,
    "perPage": 1
  }
}

Authorizations

Authorization
string
header
required

API token obtained from Sesame HR Dashboard > Settings > Integrations > API

Path Parameters

id
string<uuid>
required

Project ID

Body

application/json

Project object to update. Only name is required. Omitted optional fields are preserved; send null explicitly to clear a field. Note: price, totalMinutes, fixedCost, progress, and privacy cannot be explicitly sent as null — omit them to preserve their value.

name
string
required

The name of the project

parentProjectId
string<uuid> | null

The id of the parent project. Omit to keep the existing value; send null to remove the parent.

customerId
string<uuid> | null

The id of the customer. Omit to keep the existing value; send null to remove the customer.

price
number<float>

The price of the project. Omit to keep the existing value. Cannot be sent as null.

startDate
string<date> | null

The start date of the project (YYYY-MM-DD). Omit to keep the existing value; send null to clear it.

endDate
string<date> | null

The end date of the project (YYYY-MM-DD). Omit to keep the existing value; send null to clear it.

managerId
string<uuid> | null

The id of the employee manager. Omit to keep the existing value; send null to remove the manager.

description
string | null

The description of the project. Omit to keep the existing value; send null to clear it.

status
enum<string>

The status of the project

Available options:
active,
inactive,
paused
color
string | null

The color of the project (hex format). Omit to keep the existing value; send null to clear it.

fixedCost
number<float>

The fixed cost of the project. Omit to keep the existing value. Cannot be sent as null.

progress
number<float>

The progress percentage of the project. Omit to keep the existing value. Cannot be sent as null.

totalMinutes
integer

The total minutes estimated for the project. Omit to keep the existing value. Cannot be sent as null.

privacy
enum<string>

The privacy level of the project. Omit to keep the existing value. Cannot be sent as null.

Available options:
public,
private

Response

200 - application/json

Object

data
object
meta
object